/*
** FF-Tomato.c - Tomato for the Food Fight Pak
**
** This Effect Pack uses the MULTIPLE DRAW Method to paint objects
**
** by Jamie Cristini
**
*/
 


#include <ddraw.h>
#include <stdio.h>
#include <windows.h>
#include <time.h>
#include <math.h>
#include "BlasterEffects.h"
#include "EffectType.h"
#include "FF-Proto.h"

#define MAX_OBJECTS		5
#define MAX_PIECES		4 * MAX_OBJECTS


FXOBJECT *pfxObject = {0};

FXOBJECT *pfxWeapon = {0};
FXOBJECT fxP1Weapon = {0};
FXOBJECT fxP2Weapon = {0};

FXOBJECT fxP1WeaponEnd = {0};
FXOBJECT fxP2WeaponEnd = {0};

DEFENSE  *pdfDefense = {0};
DEFENSE  dfP1Defense = {0};
DEFENSE  dfP2Defense = {0};

FXOBJECT *pfxPlayer = {0};
FXOBJECT fxPlayerOne = {0};
FXOBJECT fxPlayerTwo = {0};

MULTIOBJECT *pmoObj = {0};
MULTIOBJECT moP1Obj[MAX_OBJECTS] = {0};
MULTIOBJECT moP2Obj[MAX_OBJECTS] = {0};
MULTIDRIP   mdDrip[(MAX_PIECES + 1)] = {0};

int nFrameIncr=1;
int nObjectState=0;
int Wave[16];
signed long nAudioDone	= 0;
int i;




int InitEffects()
{
RegisterEffect("Piece-O-Pie","Food Fight", DrawPie, UpdatePieEffect, ".\\images\\Food Fight\\Ce4PieUP.pcx", NULL, NULL);		
RegisterEffect("Rotten-Egg","Food Fight", DrawEgg, UpdateEggEffect, ".\\images\\Medieval\\Ce5Kitty.pcx", EggManualSave, NULL);		
RegisterEffect("Rotten-Tomato","Food Fight", DrawTomato, UpdateTomatoEffect, ".\\images\\Food Fight\\Ce4BBlob.pcx", NULL, NULL);		
return TRUE;		
}
