void CalculateTomatoShots();
void CalculateTomato(void);
int UpdateTomatoEffect(DDRAW_DATA *dd_data, int nEffect, int nMsg, int nObjectCount);
int InitEffects(void);
int DrawTomato(DDRAW_DATA *dd_data, int nMsg);
void DrawTomatoBuffer(DDRAW_DATA *dd_data, int nPlayer);
void DrawTomatoScreen(DDRAW_DATA *dd_data, int nPlayer);
void EraseTomatoBuffer(DDRAW_DATA *dd_data, int nPlayer);
int CreateTomatoShot(DDRAW_DATA *dd_data);
void CheckTomatoButtons(DDRAW_DATA *dd_data, int nPlayer);
void MoveTomatoDefense(void);
void AssignTomatoPointers(int nPlayer);
void CalculateAnTomato(MULTIOBJECT *Obj);
int TomatoManualSave(DDRAW_DATA *dd_data, int nMsg, void* vDataStruct);
void CreateTomatoPieces(MULTIOBJECT *Obj);
void CalculateTomatoPieces();
void CalculateTomatoDefense(void);
void CheckForTomatoCodes(void);

void CalculatePieShots();
void CalculatePie(void);
int UpdatePieEffect(DDRAW_DATA *dd_data, int nEffect, int nMsg, int nObjectCount);
int InitEffects(void);
int DrawPie(DDRAW_DATA *dd_data, int nMsg);
void DrawPieBuffer(DDRAW_DATA *dd_data, int nPlayer);
void DrawPieScreen(DDRAW_DATA *dd_data, int nPlayer);
void ErasePieBuffer(DDRAW_DATA *dd_data, int nPlayer);
int CreatePieShot(DDRAW_DATA *dd_data);
void CheckPieButtons(DDRAW_DATA *dd_data, int nPlayer);
void MovePieDefense(void);
void AssignPiePointers(int nPlayer);
void CalculateAnPie(MULTIOBJECT *Obj);
int PieManualSave(DDRAW_DATA *dd_data, int nMsg, void* vDataStruct);
void CreatePiePieces(MULTIOBJECT *Obj);
void CalculatePiePieces();
void CalculatePieDefense(void);
void CheckForPieCodes(void);

void CalculateEggShots();
void CalculateEgg(void);
int UpdateEggEffect(DDRAW_DATA *dd_data, int nEffect, int nMsg, int nObjectCount);
int InitEffects(void);
int DrawEgg(DDRAW_DATA *dd_data, int nMsg);
void DrawEggBuffer(DDRAW_DATA *dd_data, int nPlayer);
void DrawEggScreen(DDRAW_DATA *dd_data, int nPlayer);
void EraseEggBuffer(DDRAW_DATA *dd_data, int nPlayer);
int CreateEggShot(DDRAW_DATA *dd_data);
void CheckEggButtons(DDRAW_DATA *dd_data, int nPlayer);
void MoveEggDefense(void);
void AssignEggPointers(int nPlayer);
void CalculateAnEgg(MULTIOBJECT *Obj);
int EggManualSave(DDRAW_DATA *dd_data, int nMsg, void* vDataStruct);
void CalculateEggDefense(void);
void CheckForEggCodes(void);